local Aloft = Aloft
if not Aloft or not Aloft:GetModule("IsPetData", true) then return end
if not AloftLocale or not AloftLocale.AloftIsPetDataOptions then return end

-----------------------------------------------------------------------------

local AloftIsPetData = Aloft:GetModule("IsPetData")

local L = AloftLocale.AloftIsPetDataOptions

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.pet =
{
	type = 'toggle',
	width = 'full',
	name = L["Save Pet Data"],
	desc = L["Stores pet information between sessions"],
	disabled = function(i) return not Aloft:IsEnabled() or not AloftIsPetData:IsEnabled() or not AloftIsPetData.db or not AloftIsPetData.db.profile end,
	get = function(i) return AloftIsPetData.db.profile.save end,
	set = AloftIsPetData.SetSaveData
}

-----------------------------------------------------------------------------
